.post {
    color: $color-light-primary;
    position: relative;
}

.post__header {
    padding: 5rem $article-side-padding 3rem;
    background-size: cover;
    background-position: center;
    position: relative;

    &::before {
        content: '';
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-image: linear-gradient(rgba($color-dark-primary, 0), rgba($color-dark-primary, 0.5) 60%);
    }
}

.post__date {
    position: relative;
    font-weight: 700;
    text-transform: uppercase;
}

.post__title {
    color: $color-light-primary;
    line-height: 1.2;
    
    margin: 0;
    position: relative;
}

.post__subtitle {
    font-size: $font-size-title-4;
    color: $color-light-primary;
}

.post__content {
    padding: 3rem $article-side-padding;
}

.post__link {
    color: $color-light-primary;
    text-decoration: underline;

    &:hover {
        color: darken($color-light-primary, 15%);
    }
}